petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerBinaryGetSkipHeader

checks whether to write a header with size information on output, or just raw data

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetSkipHeader(PetscViewer viewer,PetscBool  *skip)

Not Collective Many br

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerBinaryOpen() Many br

### Output Parameter

skip -PETSC_TRUE means do not write header Many br

Many br

Notes: This must be called after PetscViewerSetType() Many br

Returns false for PETSCSOCKETVIEWER, you cannot skip the header for it. Many br

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetDescriptor(), PetscViewerBinarySkipInfo(),
PetscViewerBinarySetSkipHeader() Many br

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex15.c.html